Skip to main content
`Ctrl`+`K`

# TSRHSSplitSetIJacobian

Set the Jacobian for the split implicit function with `TSARKIMEX`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSSplitSetIJacobian(TS ts, const char splitname[], Mat Amat, Mat Pmat, TSIJacobianFn *ijac, PetscCtx ctx)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- splitname - name of this split

- Amat - (approximate) matrix to store Jacobian entries computed by `f`

- Pmat - matrix used to compute preconditioner (usually the same as `Amat`)

- ijac - the Jacobian evaluation routine

- ctx - user-defined context for private data for the split function evaluation routine (may be `NULL`)

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSRHSSplitSetIFunction`, `TSIJacobianFn`, `IS`, `TSRHSSplitSetIS()`, `TSARKIMEXSetFastSlowSplit()`

## Level

intermediate

## Location

src/ts/interface/tsrhssplit.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages